Bug 11873 - gimp new security issues CVE-2013-1913 and CVE-2013-1978
: gimp new security issues CVE-2013-1913 and CVE-2013-1978
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 3
: i586 Linux
: Normal Severity: major
: ---
Assigned To: QA Team
: Sec team
: http://lwn.net/Vulnerabilities/575639/
: advisory MGA3-64-OK MGA3-32-OK
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2013-12-04 19:29 CET by David Walser
Modified: 2013-12-06 23:04 CET (History)
3 users (show)

See Also:
Source RPM: gimp-2.8.2-3.mga3.src.rpm
CVE:


Attachments

Description David Walser 2013-12-04 19:29:33 CET
RedHat has issued an advisory on December 3:
https://rhn.redhat.com/errata/RHSA-2013-1778.html

We already fixed CVE-2012-5576 in Bug 8326.

Patched packages for the other CVEs uploaded for Mageia 3 and Cauldron.

Advisory:
========================

Updated gimp packages fix security vulnerabilities:

An integer overflow flaw and a heap-based buffer overflow were found in the way
GIMP loaded certain X Window System (XWD) image dump files. A remote attacker
could provide a specially crafted XWD image file that, when processed, would
cause the XWD plug-in to crash or, potentially, execute arbitrary code with the
privileges of the user running the GIMP (CVE-2013-1913, CVE-2013-1978).

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1913
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1978
https://rhn.redhat.com/errata/RHSA-2013-1778.html
========================

Updated packages in core/updates_testing:
========================
gimp-2.8.2-3.1.mga3
libgimp2.0-devel-2.8.2-3.1.mga3
libgimp2.0_0-2.8.2-3.1.mga3
gimp-python-2.8.2-3.1.mga3

from gimp-2.8.2-3.1.mga3.src.rpm

Reproducible: 

Steps to Reproduce:
Comment 1 Dave Hodgins 2013-12-05 17:45:06 CET
Advisory 11873.adv committed to svn.

No poc provided in the bug report, so just need to confirm the updated
version runs without any obvious regressions.
Comment 2 Dave Hodgins 2013-12-05 19:37:08 CET
Testing complete on Mageia 3 i586 and x86_64. Validating the update.

Someone from the sysadmin team please push 11873.adv to updates.
Comment 3 Thomas Backlund 2013-12-06 23:04:55 CET
Update pushed:
http://advisories.mageia.org/MGASA-2013-0365.html

Note You need to log in before you can comment on or make changes to this bug.